searchData={"content_type":"text/markdown","items":[{"doc":"BlsEx provides utility to leverage BLS signatures\n\nBLS scheme supports aggregation of public keys and aggregation of signatures.\n\nHere an full example of aggregated signature verification\n\n    iex> seed = :crypto.hash(:sha512, \"myseed\")\n    iex> public_key1 = BlsEx.get_public_key!(seed)\n    iex> signature1 = BlsEx.sign!(seed, \"hello\")\n    iex> seed2 = :crypto.hash(:sha512, \"myseed2\")\n    iex> public_key2 = BlsEx.get_public_key!(seed2)\n    iex> signature2 = BlsEx.sign!(seed2, \"hello\")\n    iex> aggregated_signature = BlsEx.aggregate_signatures!([signature1, signature2], [public_key1, public_key2])\n    iex> aggregated_public_key = BlsEx.aggregate_public_keys!([public_key1, public_key2])\n    iex> BlsEx.verify_signature?(aggregated_public_key, \"hello\", aggregated_signature)\n    true","ref":"BlsEx.html","title":"BlsEx","type":"module"},{"doc":"Aggregate a list of public keys","ref":"BlsEx.html#aggregate_public_keys/1","title":"BlsEx.aggregate_public_keys/1","type":"function"},{"doc":"Same as `aggregate_public_keys/1` but raise the error","ref":"BlsEx.html#aggregate_public_keys!/1","title":"BlsEx.aggregate_public_keys!/1","type":"function"},{"doc":"Aggregate a list of signatures","ref":"BlsEx.html#aggregate_signatures/2","title":"BlsEx.aggregate_signatures/2","type":"function"},{"doc":"Same as `aggregate_signatures/2` but raise the error","ref":"BlsEx.html#aggregate_signatures!/2","title":"BlsEx.aggregate_signatures!/2","type":"function"},{"doc":"Generate a public key from a secret key","ref":"BlsEx.html#get_public_key/1","title":"BlsEx.get_public_key/1","type":"function"},{"doc":"Same as `get_public_key/1` but raise the error","ref":"BlsEx.html#get_public_key!/1","title":"BlsEx.get_public_key!/1","type":"function"},{"doc":"Sign a message using the given secret key","ref":"BlsEx.html#sign/2","title":"BlsEx.sign/2","type":"function"},{"doc":"Same as `sign/2` but raise the error","ref":"BlsEx.html#sign!/2","title":"BlsEx.sign!/2","type":"function"},{"doc":"Verifies a single BLS signature","ref":"BlsEx.html#verify_signature?/3","title":"BlsEx.verify_signature?/3","type":"function"},{"doc":"","ref":"BlsEx.html#t:public_key/0","title":"BlsEx.public_key/0","type":"type"},{"doc":"","ref":"BlsEx.html#t:secret_key/0","title":"BlsEx.secret_key/0","type":"type"},{"doc":"","ref":"BlsEx.html#t:signature/0","title":"BlsEx.signature/0","type":"type"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}